xd (3.26.01-1) unstable; urgency=medium

  [ Frank B. Brokken ]
  * New upstream version
  * Upstream migration from Github to Gitlab
  * Used the new dh format, and updated the C++ standard to use to c++17
    in debian/rules
  * Updated the copyright format from http: to https: in debian/copyright

  [ tony mancill ]
  * Update Vcs fields for migration from Alioth -> Salsa
  * Update Homepage, Source and watch for github -> gitlab transition
  * Bump Standards-Version to 4.1.4
  * Use debhelper 11

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 19 Jun 2018 21:50:39 +0530

xd (3.26.00-1) unstable; urgency=low

  * New upstream release accepts a single digit numerical specification
    to change 'n' levels up in the directory hierarchy.  For example,
    'xd 2' while in /foo/bar/baz changes to /foo, and thus is equivalent
    to 'cd ../..'

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 13 Jan 2017 11:59:42 +0100

xd (3.25.00-1) unstable; urgency=low

  * New upstream release fixes handling of separators after 0..9 (parent)
    directory specifiers

  * Standards-Version now 3.9.8.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 05 Oct 2016 15:06:54 +0200

xd (3.24.00-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * Removed a dependency on PATH_MAX, fixing compilation errors on hurd
    architectures (Closes: #815407)

  * Fixed an erroneous reference to an option name in the man-page
    (Closes: #805396)

  * Fixed flaws in the man-page and usage information.

  [ tony mancill ]
  * Bump Standards-Version to 3.9.7 (no changes).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 21 Feb 2016 12:48:37 +0100

xd (3.23.04-1) unstable; urgency=medium

  * Patch files removed: upstream fixed the typo in the manpage

  * Upstream adapted build scripts to icmake 8.00.04

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 20 Dec 2015 10:52:04 +0100

xd (3.23.03-1) unstable; urgency=medium

  * Upstream fixed a flaw in the installation script, Upstream's 'build'
    script now supports -P to prevent the use of precompiled headers

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 06 Oct 2015 21:19:11 +0200

xd (3.23.02-1) unstable; urgency=medium

  * Upstream modified the installation procedure. debian/rules adapted
    accordingly

  * Removed get-orig-source target from debian/rules

  * Xd now depends on bobcat >= 4.00.00

  * Entered new homepage in debian/control

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 02 Oct 2015 13:53:17 +0200

xd (3.23.01-4) unstable; urgency=medium

  * Rebuild against bobcat >= 3.25.02-3 for g++5 ABI transition.

 -- tony mancill <tmancill@debian.org>  Wed, 12 Aug 2015 20:15:41 -0700

xd (3.23.01-3) unstable; urgency=medium

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 01 May 2015 20:49:28 -0700

xd (3.23.01-2) experimental; urgency=low

  * Fixed the `reproducible builds' bug reported by Chris Lamb
    (Closes: #777366)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 07 Feb 2015 20:24:20 +0100

xd (3.23.01-1) experimental; urgency=low

  * new upstream release fixes some cosmetic flaws in the man-page
    and xrdc sample file (thanks, Tony ;-)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 19 Jan 2015 20:23:20 +0100

xd (3.23.00-1) experimental; urgency=low

  * new upstream release adds new option --icase selecting case-insensitive
    directory matching (Closes: #772662)

  * debian/rules specifies --std=c++14, and CXX=g++ (without version)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 11 Dec 2014 13:24:07 +0100

xd (3.22.09-2) unstable; urgency=medium

  * Drop build-dep on g++-4.8.  (Closes: #751330)
  * Update VCS URLs to use canonical form.

 -- tony mancill <tmancill@debian.org>  Sun, 03 Aug 2014 10:02:35 -0700

xd (3.22.09-1) unstable; urgency=low

  * New upstream release (addresses build failure with g++-4.8)
  * Bump Standards-Version to 3.9.5.
  * Build-Depend on bobcat 3.17.00.
  * Build-Depend on g++-4.8.  Update debian/rules accordingly.

 -- tony mancill <tmancill@debian.org>  Tue, 12 Nov 2013 21:42:45 -0800

xd (3.22.08-2) unstable; urgency=low

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Wed, 08 May 2013 20:11:46 -0700

xd (3.22.08-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New upstream release.
  * Catching std::exception instead of FBB::Errno exceptions. See also the
    upstream changelog

  [ tony mancill ]
  * Update Vcs fields to point collab-maint repo.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 24 Jan 2013 13:44:57 +0100

xd (3.22.05-2) experimental; urgency=low

  [ Frank B. Brokken ]
  * Recompilation required because of new libbobcat library

  [ tony mancill ]
  * Bump Standards-Version to 3.9.4 (no changes).
  * Replace Vcs-Svn with Vcs-Git; remove Vcs-Browser field.
  * Replace build-dep on g++ with g++-4.7.
  * Update debian/compat to 8; bump dependency on debhelper.
  * Update debian/copyright to DEP5 format.

 -- tony mancill <tmancill@debian.org>  Sat, 17 Nov 2012 11:31:48 -0800

xd (3.22.05-1) unstable; urgency=low

  * build script recognizes CXX, CPPFLAGS, CXXFLAGS, and LDFLAGS
    environment variables

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 22 Jul 2012 10:06:13 +0200

xd (3.22.04-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release

  [ tony mancill ]
  * Bump build-dep on libbobcat to 3.01.00.

 -- tony mancill <tmancill@debian.org>  Thu, 31 May 2012 21:20:07 -0700

xd (3.22.02-1) unstable; urgency=low

  * New upstream release.
  * Build depend on g++ (>= 4.6.2).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 06 Jan 2012 08:56:25 +0100

xd (3.22.01-2) unstable; urgency=low

  * Build-Depend on g++ >= 4:4.6.0, better support for c++0x.
    (fixes ftbfs with older compilers on some architectures)

 -- George Danchev <danchev@spnet.net>  Mon, 27 Jun 2011 09:32:03 +0300

xd (3.22.01-1) unstable; urgency=low

  * new upstream release cleans up code and recognizes CXXFLAGS and LDFLAGS
    environment variables

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 26 Jun 2011 15:02:39 +0200

xd (3.21.00-2) unstable; urgency=low

  * Build depend on bobcat 2.18.00.
  * Add noopt support via DEB_BUILD_OPTIONS.
    (the next upstream release will hopefully support *FLAGS)
  * Drop configure* targets, since they are not needed.
  * Rename build to build-arch, add build and build-indep.
  * Do not call dh_installexamples.

 -- George Danchev <danchev@spnet.net>  Sat, 18 Jun 2011 10:17:23 +0300

xd (3.21.00-1) unstable; urgency=low

  * New upstream release (changes history handling)
  * Build-Depends: libbobcat-dev (>= 2.17.00)
  * Change to source format 3.0 (quilt).
  * Added Vcs-* fields.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 06 Jun 2011 16:16:55 +0200

xd (3.20.0-4) unstable; urgency=low

  * Build-Depends: libbobcat-dev (>= 2.15.02) to pick up latest fixes.
  * Standards-Version: 3.9.2 (no changes needed)

 -- George Danchev <danchev@spnet.net>  Tue, 17 May 2011 08:55:20 +0300

xd (3.20.0-3) unstable; urgency=low

  * New binary required due to new bobcat (2.14.00) release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 08 Feb 2011 19:14:28 +0100

xd (3.20.0-2) unstable; urgency=low

  * Set distribution to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 24 Dec 2010 20:48:25 -0800

xd (3.20.0-1) experimental; urgency=low

  * New upstream release (updating dependencies on Bobcat; adding
    history-processing facilities)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 17 Dec 2010 21:36:06 +0100

xd (3.12.0-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New upstream release (updating dependencies on Bobcat: from Msg to
    Mstream, from FnWrap1c to FnWrap).

  [ tony mancill ]
  * Set distribution to experimental.

 -- tony mancill <tmancill@debian.org>  Fri, 05 Nov 2010 22:28:28 -0700

xd (3.11.0-1) unstable; urgency=low

  * New upstream release (bugfix release: generalized search
    didn't recognize plain directories to ignore unless a
    trailing * was appended, which is now fixed).

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 12 May 2010 13:00:16 +0200

xd (3.10.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to dpkg-source 1.0 format

 -- Frank B. Brokken <frank@suffix.rc.rug.nl>  Thu, 08 Apr 2010 14:23:43 +0200

xd (3.10.2-1) unstable; urgency=low

  * new upstream release (Closes: #542987)
  * standards-version 3.8.3 (no changes needed)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 30 Aug 2009 11:58:26 +0200

xd (3.10.1-1) unstable; urgency=low

  * new upstream release
  * added Homepage to control
  * updated Standards-Version in control

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 28 Mar 2009 11:13:31 +0100

xd (3.10.0-2) unstable; urgency=low

  * rebuild against bobcat 2.00.1-2

 -- George Danchev <danchev@spnet.net>  Sun, 07 Dec 2008 06:31:56 +0200

xd (3.10.0-1) unstable; urgency=low

  * New upstream release
  * build-depends on libbobcat-dev >= 2.00.1-1, caused by bobcat transition
  * no longer depends on libbobcat1 (>= 1.20.1), since bobcat now provides
    the needed shlib information via dh_makeshlibs -V

 -- George Danchev <danchev@spnet.net>  Fri, 05 Dec 2008 21:43:25 +0200

xd (3.00.1-2) unstable; urgency=low

  * xd depends run-time on libbobcat1 >= 1.20.1, updated debian/control
    (Closes: #504185)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 02 Nov 2008 11:27:51 +0100

xd (3.00.1-1) unstable; urgency=low

  * New upstream release
  * Build-Depends on bobcat 1.20.1

 -- George Danchev <danchev@spnet.net>  Mon, 15 Sep 2008 21:07:46 +0200

xd (3.00.0-1) unstable; urgency=low

  * New upstream sources, preparing the new Debian xd project

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 29 Aug 2008 13:40:59 +0200

xd (2.15) unstable; urgency=low

  * Initial Debianization

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 28 Dec 2005 19:22:50 +0100
